Skip to main content
Deletes a data source field by name

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Path Parameters

sourceId
string
required
fieldName
string
required

Query Parameters

suppressWarnings
boolean
default:false

The response to this API endpoint may return a validation error with a list of problems. Each problem has a level (ERROR, WARNING). Passing suppressWarnings=true will suppress all warnings and the request will succeed if there are no errors

warningTags
string[]

If suppressWarning is true, then warning tags can be passed in this field. Any top level element(SOURCE/VISUAL/DASHBOARD) that may be impacted due to any WARNING will get these warning tags attached to them.

Response

The field was deleted